summaryrefslogtreecommitdiffstats
path: root/office/gocr
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2010-05-12 23:33:01 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:33:01 +0200
commit83f437d12a6c1ce47ff0831dc1ab50f814556b4b (patch)
tree3ee3641aaec1d4d5834470bd117858b9c069dbe4 /office/gocr
parent18671ce8e44a2481940759b1f59a583bb9e494a1 (diff)
downloadslackbuilds-83f437d12a6c1ce47ff0831dc1ab50f814556b4b.tar.gz
slackbuilds-83f437d12a6c1ce47ff0831dc1ab50f814556b4b.tar.xz
office/gocr: Added to 12.2 repository
Diffstat (limited to 'office/gocr')
-rw-r--r--office/gocr/README3
-rw-r--r--office/gocr/gocr.SlackBuild95
-rw-r--r--office/gocr/gocr.info8
-rw-r--r--office/gocr/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/office/gocr/README b/office/gocr/README
new file mode 100644
index 0000000000..91b2b9a462
--- /dev/null
+++ b/office/gocr/README
@@ -0,0 +1,3 @@
+GOCR is an OCR (Optical Character Recognition) program that converts
+scanned images of text back to text files. Please see README file in
+the documentation for details on usage.
diff --git a/office/gocr/gocr.SlackBuild b/office/gocr/gocr.SlackBuild
new file mode 100644
index 0000000000..d1782ba84b
--- /dev/null
+++ b/office/gocr/gocr.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware Package Build Script for GOCR
+# Home Page http://jocr.sourceforge.net/index.html
+
+# Copyright (c) 2008, Nishant Limbachia (nishant@mnspace.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gocr
+VERSION=0.47
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -fr $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $TMP/$PRGNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 664 -o -perm 666 -o -perm 600 -o -perm 440 -o -perm 444 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+find . \
+ \( -perm 777 -o -perm 755 -o -perm 711 -o -perm 700 -o -perm 555 -o -perm 511 -o -perm 500 \) \
+ -exec chmod 755 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --exec-prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+###
+mv $PKG/bin $PKG/usr
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUGS CREDITS INSTALL README* HISTORY TODO \
+ doc/*.txt doc/*.html $PKG/usr/doc/$PRGNAM-$VERSION
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/gocr/gocr.info b/office/gocr/gocr.info
new file mode 100644
index 0000000000..74cff92d51
--- /dev/null
+++ b/office/gocr/gocr.info
@@ -0,0 +1,8 @@
+PRGNAM="gocr"
+VERSION="0.47"
+HOMEPAGE="http://jocr.sourceforge.net/index.html"
+DOWNLOAD="http://downloads.sourceforge.net/jocr/gocr-0.47.tar.gz"
+MD5SUM="73e35e7dbf3f61b9e53a175e555404d4"
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="dsomero"
diff --git a/office/gocr/slack-desc b/office/gocr/slack-desc
new file mode 100644
index 0000000000..cb602add90
--- /dev/null
+++ b/office/gocr/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gocr: gocr (open source character recognition)
+gocr:
+gocr: GOCR is an optical character recognition program released under
+gocr: GNU GPL. It reads images in many formats and outputs a text file
+gocr: and is capable of doing several other tasks. Please refer README
+gocr: in documentation for more info.
+gocr:
+gocr: Home Page http://jocr.sourceforge.net/index.html
+gocr:
+gocr:
+gocr: